.pop-up {
  display: none;
  position: fixed;
  z-index: var(--z-index-500);

  background: var(--pop-up-gradient);
  backdrop-filter: blur(12.5px);
  -webkit-backdrop-filter: blur(12.5px);

  border-radius: var(--border-radius-2);

  overflow: hidden;
}

.pop-up.dark {
  background: var(--pop-up-gradient-dark);
}

.pop-up.dark .input::placeholder {
  color: var(--extra-white) !important;
}

.pop-up-gradient-container {
  border-image-source: var(--pop-up-border-gradient);
}

.pop-up.active {
  display: flex;
  padding: var(--space-32);
}

.section {
  padding: var(--section-padding) 0;
}

.schedule-grid {
  display: grid;
  grid-template-columns: repeat(2, max-content);
  grid-template-rows: repeat(3, max-content);

  gap: var(--space-10);
}

.schedule-grid .body-text {
  font-weight: 400;
}

.schedule-grid .body-text:nth-child(even) {
  font-weight: 200;
}

.subscribe-container {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url("../assets/footer.webp");
    background-size: cover;
    background-repeat: no-repeat;
    padding: var(--space-170) 0;
}

.subscribe-container .content {
  z-index: var(--z-index-2);
}

.subscribe-container .filter {
  position: absolute;
  width: 100%;
  height: 50%;
  bottom: 0;

  left: 0;
  background: var(--background-gradient-dark-0-deg);

  transform: matrix(1, 0, 0, -1, 0, 0);
}

.subscribe-container .filter:nth-child(2) {
  bottom: auto;
  top: 0px;
  transform: none;
}

.subscribe-content-wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.subscribe-content {
  width: 100%;
  height: 100%;

  display: grid;
  grid-template-columns: repeat(2, auto);
  justify-content: space-between;
  align-items: center;
  column-gap: var(--space-48);

  max-width: var(--content-width);

  padding: var(--space-80);
  background: var(--background-gradient-grey);
  backdrop-filter: blur(10px);

  overflow: hidden;
  border-radius: var(--border-radius-2);
}

.subscribe-content-gradient-container {
  border-image-source: var(--border-gradient);
}

.subscribe-text-container .headline-2 {
  margin-top: var(--space-20);
}

.subscribe-text-container {
  max-width: 488px;
}

.subscribe-content-inputs {
  height: fit-content;

  display: flex;
  align-items: end;
  gap: var(--space-60);
}

.subscribe-content-inputs .input-wrapper {
  width: 450px;
}

.subscribe-content-inputs .input {
  width: 100%;
  padding-bottom: 16px;
  color: var(--white);
}

.foot-note {
  width: 100%;
  position: relative;

  display: flex;
  justify-content: space-between;
  padding: var(--space-120) 0;
}

.foot-note-icon {
  width: 24px;
  height: 24px;
  min-width: 24px;
  margin-bottom: var(--space-2);
}

.lang-select-wrapper {
  position: absolute;
  bottom: -5px;
}

.lang-select-wrapper .button .value {
  display: flex;
  align-items: center;
  gap: var(--space-10);
  text-transform: capitalize;
}

.lang-select-wrapper .lang-select-trigger {
  display: flex;
  align-items: center;
  gap: var(--space-16);
}

.lang-select-wrapper .checkmark {
  width: 30px;
  height: 30px;
  stroke-width: 0;

  transform: scale(0.6);
  display: inline-block;
  cursor: pointer;
  transform: rotate(90deg);

  fill: var(--white);
}

.lang-select-wrapper .custom-option {
  display: flex;
  align-items: center;
  gap: var(--space-12);
}

.foot-note .column {
  max-width: 246px;
}

.foot-note .column-1 {
  position: relative;
}

.foot-note :where(.column-1, .column-3, .column-4) .headline {
  margin-bottom: var(--space-40);
}

.foot-note :where(.column-1, .column-3, .column-4) .column-content {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.foot-note .column-2 .headline:not(:last-child) {
  display: block;
  margin-bottom: var(--space-60);
}

.foot-note .column-3 .number-items-column {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.foot-note .column-3 .number,
.foot-note .column-4 .number {
  display: flex;
  gap: 16px;
}

.foot-note .number img {
  width: 24px;
  min-width: 24px;
  height: 24px;
  align-self: flex-start;
}

.footer-down {
  background-color: var(--black);
}

.footer-down-container {
  display: flex;
  justify-content: space-between;
  padding: var(--space-50) 0;
}

.footer-logo-container {
  display: block;
  cursor: pointer;
  width: 196px;
}

.footer-logo-container .text {
  font-size: var(--font-14);
  line-height: 114%;
  font-weight: 300;
  margin-top: var(--space-8);
}

.media-container {
  width: 300px;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

.media-container .media-icon {
  width: 36px;
  height: 36px;
  fill: var(--media-icon-grey);

  cursor: pointer;
  transition: fill 0.3s ease-out;
}

.media-container .media-icon.youtube {
  width: 42px;
  height: 42px;
}

.media-container .media-icon.youtube:hover {
  fill: var(--youtube-red);
}

.media-container .media-icon.facebook:hover {
  fill: var(--facebook-blue);
}

.media-container .media-icon.x:hover {
  fill: var(--extra-white);
}

.media-container .media-icon.linkedin:hover {
  fill: var(--linkedin-blue);
}

.private-policy .pretext {
  text-transform: none;
}

.private-policy {
  text-align: end;
}

.divider {
  border-left: 1px solid var(--text-gray) !important;
  height: var(--space-16);
}

.private-policy .flex {
  align-items: center;
  display: flex;
  justify-content: flex-end;
  gap: var(--space-10);

  margin-top: var(--space-16);
}

@media (max-width: 1240px) {
  .foot-note {
    display: grid;
    grid-template-columns: repeat(3, auto);
    grid-template-rows: repeat(2, auto);
    justify-content: space-between;
    row-gap: var(--space-60);
  }

  .column-1 {
    grid-area: 1 / 1 / 2 / 2;
    justify-self: start;
  }
  .column-2 {
    grid-area: 1 / 2 / 2 / 3;
    justify-self: center;
  }
  .column-3 {
    grid-area: 1 / 3 / 2 / 4;
    justify-self: end;
  }

  .column-4 {
    max-width: 100% !important;
    grid-area: 2 / 1 / 3 / 4;
  }

  .column-4 .column-content {
    display: grid;
    grid-template-columns: repeat(2, minmax(344px, 1fr));
    grid-template-rows: repeat(2, max-content);
  }

  .number-1 {
    grid-area: 1 / 1 / 3 / 2;
  }
  .number-2 {
    grid-area: 1 / 2 / 2 / 3;
  }
  .number-3 {
    grid-area: 2 / 2 / 3 / 3;
  }

  .footer-down-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: var(--space-24);
  }

  .footer-logo-container {
    grid-area: 1 / 1 / 2 / 2;
  }

  .media-container {
    grid-area: 2 / 1 / 3 / 3;
    justify-self: center;
  }

  .private-policy {
    grid-area: 1 / 2 / 2 / 3;
  }
}

@media (max-width: 1023px) {
  .subscribe-container {
    padding: var(--space-80) 0;
  }

  .subscribe-container .subscribe-content {
    gap: var(--space-60);
    padding: var(--space-60) var(--space-24);
  }

  .subscribe-text-container .section-title {
    margin-top: var(--space-16);
  }

  .foot-note {
    padding: var(--space-80) 0;
  }

  .column-4 .number-3 .text {
    width: 100%;
    width: 360px;
  }

  .column-4 .number-2,
  .column-4 .number-3 {
    padding-left: var(--space-44);
  }

  .column-4 .number-3 {
    margin-bottom: var(--space-16) !important;
  }

  .lang-select-wrapper .button .value {
    font-size: var(--font-18);
  }
}

@media (max-width: 767px) {
  
  .subscribe-container {
    padding: var(--space-56) 0;
  }

  .subscribe-container .filter {
    height: 20%;
  }
  .subscribe-text-container .headline-2 {
    margin-top: var(--space-16);
  }

  .subscribe-content-inputs {
    flex-direction: column;
    gap: var(--space-32);
  }

  .subscribe-container .subscribe-content {
    padding: var(--space-40) var(--space-16);
  }

  .subscribe-container .subscribe-content .button {
    width: 100%;
  }

  .column-4 .column-content {
    grid-template-columns: 200px auto;
  }
}

@media (max-width: 620px) {
  .foot-note {
    display: grid;
    grid-template-columns: repeat(2, minmax(200px, 340px));
    grid-template-rows: auto;
    column-gap: var(--space-20);
    row-gap: var(--space-60);
  }

  .foot-note .column {
    grid-area: auto;
    justify-self: start;
  }

  .column-4 .column-content {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
  }

  .column-4 .column-content .number {
    grid-area: auto;
    padding: 0;
  }

  .footer-down-container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    grid-row-gap: var(--space-24);
  }

  .footer-logo-container,
  .media-container,
  .private-policy {
    grid-area: inherit;
    justify-self: center;
  }

  .private-policy {
    text-align: center;
  }

  .private-policy .flex {
    justify-content: center;
  }
}

@media (max-width: 484px) {
  .foot-note {
    row-gap: var(--space-34);
    grid-template-columns: 1fr;

    padding: var(--space-56) 0 var(--space-142) 0;
  }
  .foot-note .column {
    width: 100%;
    max-width: 100%;
    grid-area: inherit;
    justify-self: start;
  }

  .foot-note .column-4 {
    margin-top: var(--space-10);
  }
  .foot-note .number {
    margin-bottom: var(--space-16);
  }
  .foot-note .column .text {
    margin-bottom: var(--space-8);
  }

  .foot-note .column-1 .button.text {
    margin-bottom: var(--space-8);
  }

  .lang-select-wrapper {
    position: absolute;
    bottom: -1040px;
  }

  .media-container {
    grid-row: 3;
    gap: var(--space-40);
    justify-content: center;
  }

  .media-container .media-icon {
    transform: scale(0.8);
  }

  .private-policy {
    grid-row: 2;
  }

  .private-policy .text,
  .private-policy .button {
    font-size: var(--font-14);
  }

  .private-policy .button {
    border-bottom: 0;
  }
  .private-policy .flex {
    margin-top: var(--space-12);
  }
}
